vopstat(1m)

NAME
vopstat - vnode interface statistics. Uses DTrace.

SYNOPSIS
vopstat [-t] [/mountname]

DESCRIPTION
This will either produce summary reports of vnode statistics, or trace activity. Since this uses DTrace, only the root user or users with the dtrace_kernel privilege can run this command.

OPTIONS

-t  trace activity as it occurs

/mountname
    examine this FS only

EXAMPLES

default output, summary each 5 secs,
    # vopstat

only examine /var,
    # vopstat /var

trace activity to /var,
    # vopstat -t /var

FIELDS

Count
    number of calls

mSeconds
    total of elapsed times

Event
    vop call name

Device
    device instance name

Path
    full pathname to file

RW  Read or Write

Size
    size in bytes, if available

Offset
    offset in bytes, if available

DOCUMENTATION
See the DTraceToolkit for further documentation under the Docs directory. The DTraceToolkit docs may include full worked examples with verbose descriptions explaining the output.

EXIT
vopstat will sample until Ctrl-C is hit.

AUTHOR
Richard McDougall

SEE ALSO
dtrace(1M)